﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace C1FlexGridOutlinesAndTreesUnbound
{
    public static class Consts
    {
        public const int maxRecordCount = 2000;

        public static readonly Dictionary<string, string[]> countriesAndCities = new Dictionary<string, string[]>()
        {
            { "Argentina", new string[] { "Buenos Aires" }},
            { "Austria", new string[] { "Graz", "Salzburg" }},
            { "Belgium", new string[] { "Bruxelles", "Charleroi" }},
            { "Brazil", new string[] { "Campinas", "Resende", "Rio de Janeiro", "Sao Paulo" }},
            { "Canada", new string[] { "Montréal", "Tsawassen", "Vancouver" }},
            { "Denmark", new string[] { "Århus", "Kobenhavn" }},
            { "Finland", new string[] { "Helsinki", "Oulu" }},
            { "France", new string[] { "Lille", "Lyon", "Marseille", "Nantes", "Paris", "Reims", "Strasbourg", "Toulouse", "Versailles" }},
            { "Germany", new string[] { "Aachen", "Berlin", "Brandenburg", "Cunewalde", "Frankfurt a.M.", "Köln", "Leipzig", "Mannheim", "München", "Münster", "Stuttgart" }},
            { "Ireland", new string[] { "Cork" }},
            { "Italy", new string[] { "Bergamo", "Reggio Emilia", "Torino" }},
            { "Mexico", new string[] { "México D.F." }},
            { "Norway", new string[] { "Stavern" }},
            { "Poland", new string[] { "Warszawa" }},
            { "Portugal", new string[] { "Lisboa" }},
            { "Spain", new string[] { "Barcelona", "Madrid", "Sevilla" }},
            { "Sweden", new string[] { "Bräcke", "Luleå" }},
            { "Switzerland", new string[] { "Bern", "Genève" }},
            { "UK", new string[] { "Colchester", "Cowes", "London" }},
            { "USA", new string[] { "Albuquerque", "Anchorage", "Boise", "Butte", "Elgin", "Eugene", "Kirkland", "Lander", "Portland", "San Francisco", "Seattle", "Walla Walla" }},
            { "Venezuela", new string[] { "Barquisimeto", "Caracas", "I. de Margarita", "San Cristóbal" }}
        };

        public static readonly string[] products = new string[]
        {
            "Alice Mutton","Aniseed Syrup", "Boston Crab Meat",
            "Camembert Pierrot", "Carnarvon Tigers", "Chai",
            "Chang", "Chartreuse verte", "Chef Anton's Cajun Seasoning",
            "Chef Anton's Gumbo Mix", "Chocolade", "Côte de Blaye",
            "Escargots de Bourgogne", "Filo Mix", "Flotemysost",
            "Geitost", "Genen Shouyu", "Gnocchi di nonna Alice",
            "Gorgonzola Telino", "Grandma's Boysenberry Spread", "Gravad lax",
            "Guaraná Fantástica", "Gudbrandsdalsost", "Gula Malacca",
            "Gumbär Gummibärchen", "Gustaf's Knäckebröd", "Ikura",
            "Inlagd Sill", "Ipoh Coffee", "Jack's New England Clam Chowder",
            "Konbu", "Lakkalikööri", "Laughing Lumberjack Lager",
            "Longlife Tofu", "Louisiana Fiery Hot Pepper Sauce", "Louisiana Hot Spiced Okra",
            "Manjimup Dried Apples", "Mascarpone Fabioli", "Maxilaku",
            "Mishi Kobe Niku", "Mozzarella di Giovanni", "Nord-Ost Matjeshering",
            "Northwoods Cranberry Sauce", "NuNuCa Nuß-Nougat-Creme", "Original Frankfurter grüne Soße",
            "Outback Lager", "Pâté chinois", "Pavlova",
            "Perth Pasties", "Queso Cabrales", "Queso Manchego La Pastora",
            "Raclette Courdavault", "Ravioli Angelo", "Rhönbräu Klosterbier",
            "Röd Kaviar", "Rogede sild", "Rössle Sauerkraut",
            "Sasquatch Ale", "Schoggi Schokolade", "Scottish Longbreads",
            "Singaporean Hokkien Fried Mee", "Sir Rodney's Marmalade", "Sir Rodney's Scones",
            "Sirop d'érable", "Spegesild", "Steeleye Stout",
            "Tarte au sucre", "Teatime Chocolate Biscuits", "Thüringer Rostbratwurst",
            "Tofu", "Tourtière", "Tunnbröd",
            "Uncle Bob's Organic Dried Pears", "Valkoinen suklaa", "Vegie-spread",
            "Wimmers gute Semmelknödel", "Zaanse koeken"
        };
    }
}
